MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026333Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-06-10 16:122016-04-20 15:50
Reporterjgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026333: Regression of BRepOffsetAPI_MakeOffset regarding to 6.7.0: it fails on a shape with BSpline boundaries
DescriptionThe command "mkoffset" spends much time and then raises an exception
"ACCESS VIOLATION at address 0x0000004C during 'READ' operation".
On the version 6.7.0 correct result is produced quickly.
Steps To Reproducerestore tisch_teil_1.brep a
mkoffset r a 1 10.
TagsNo tags attached.
Test case numberbugs modalg_6 bug26333
Attached Files? file icon tisch_teil_1.brep (107,704 bytes) 2015-06-10 16:12

- Relationships

-  Notes
(0042607)
isn (developer)
2015-06-30 17:34

I cannot reproduce this problem on the current master (6/26/2015) (also the result looks OK)
(0049225)
abv (manager)
2015-12-17 12:04

Please add a test case and close the issue
(0049470)
git (administrator)
2015-12-22 16:59

Branch CR26333 has been created by ski.

SHA-1: 8c6270c3730a448d7414e3ea166469f2a113f537


Detailed log of new commits:

Author: ski
Date: Tue Dec 22 16:59:20 2015 +0300

    0026333: Regression of BRepOffsetAPI_MakeOffset regarding to 6.7.0: it fails on a shape with BSpline boundaries
    
    Added test case
(0049472)
ski (developer)
2015-12-22 17:06

Dear jgv,

please review test case
bugs modalg_6 bug26333
(0050500)
jgv (developer)
2016-02-08 18:58

Test case is Ok.
(0050502)
git (administrator)
2016-02-08 19:34

Branch CR26333 has been updated forcibly by mkv.

SHA-1: 573856bdcd893820e2472292efe435320c17d4cd
(0050540)
git (administrator)
2016-02-09 15:10

Branch CR26333 has been updated by mkv.

SHA-1: d263b90ddd58249db752e1967e285604fe4ce918


Detailed log of new commits:

Author: mkv
Date: Tue Feb 9 15:10:04 2016 +0300

    Small corrections for issue CR26333

(0050541)
mkv (tester)
2016-02-09 15:12

Dear BugMaster,
following test case is corrected and pushed to branch CR26333 of occt git-repository
bugs modalg_6 bug26333
(0050542)
mkv (tester)
2016-02-09 15:12

Dear BugMaster,
Branch CR26333 is TESTED.
(0053094)
git (administrator)
2016-04-17 14:14

Branch CR26333 has been deleted by kgv.

SHA-1: d263b90ddd58249db752e1967e285604fe4ce918

- Related Changesets
occt: master 3c1379f8
Timestamp: 2015-12-22 13:59:20
Author: ski
Committer: bugmaster
Details ] Diff ]
0026333: Regression of BRepOffsetAPI_MakeOffset regarding to 6.7.0: it fails on a shape with BSpline boundaries

Added test case

Small corrections for issue CR26333
add - tests/bugs/modalg_6/bug26333 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-06-10 16:12 jgv New Issue
2015-06-10 16:12 jgv Assigned To => msv
2015-06-10 16:12 jgv File Added: tisch_teil_1.brep
2015-06-10 16:18 msv Assigned To msv => isn
2015-06-10 16:18 msv Status new => assigned
2015-06-10 16:18 msv Target Version 7.0.0 => 7.1.0
2015-06-15 14:33 jgv Description Updated View Revisions
2015-06-30 17:34 isn Note Added: 0042607
2015-06-30 17:34 isn Assigned To isn => jgv
2015-06-30 17:34 isn Status assigned => feedback
2015-12-17 12:04 abv Note Added: 0049225
2015-12-17 12:04 abv Assigned To jgv => bugmaster
2015-12-17 12:04 abv Target Version 7.1.0 => 7.0.0
2015-12-17 12:04 abv Description Updated View Revisions
2015-12-21 11:45 bugmaster Assigned To bugmaster => ski
2015-12-22 16:59 git Note Added: 0049470
2015-12-22 17:06 ski Assigned To ski => jgv
2015-12-22 17:06 ski Note Added: 0049472
2016-02-08 18:58 jgv Note Added: 0050500
2016-02-08 18:58 jgv Assigned To jgv => bugmaster
2016-02-08 18:58 jgv Status feedback => reviewed
2016-02-08 19:12 mkv Assigned To bugmaster => mkv
2016-02-08 19:34 git Note Added: 0050502
2016-02-09 15:10 git Note Added: 0050540
2016-02-09 15:12 mkv Note Added: 0050541
2016-02-09 15:12 mkv Note Added: 0050542
2016-02-09 15:12 mkv Assigned To mkv => bugmaster
2016-02-09 15:12 mkv Status reviewed => tested
2016-02-09 15:13 mkv Test case number => bugs modalg_6 bug26333
2016-02-12 11:37 bugmaster Changeset attached => occt master 3c1379f8
2016-02-12 11:37 bugmaster Status tested => verified
2016-02-12 11:37 bugmaster Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053094
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker